package com.ruoyi.cms.service.rc;

import com.ruoyi.cms.domain.vo.CompanyJobFairSignUpVO;
import com.ruoyi.common.core.domain.AjaxResult;

/**
 * 招聘会报名Service接口
 */
public interface IJobFairSignUpService {

    /**
     * 报名招聘会
     */
    int signUp(Long jobFairId);

    /**
     * 取消报名
     */
    int cancelSignUp(Long jobFairId);

    /**
     * 企业报名招聘会并填写岗位
     */
    AjaxResult companySignUp(CompanyJobFairSignUpVO signUpVO);
}
